#ifndef ANIMATION_HPP_INCLUDED
#define ANIMATION_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class Animation : public CacheableNode
    {
        public:
            Animation();
            Animation(const void* Obj);
            Animation(const Animation& A);
            static Class GetClass();

            std::vector<std::int32_t> GetFrameIDs() const;
            std::vector<std::int32_t> GetInterleave() const;
            std::int32_t GetLeftHandItem() const;
            std::int32_t GetRightHandItem() const;

    };
}

#endif // ANIMATION_HPP_INCLUDED
